/* ==========================================
   NAVEGACIÓN
   ========================================== */
nav {
	font-size: 1.3rem;
	width: 100%;
	position: relative;
	/* position: fixed; */
	top: 0;
	left: 0;
	font-family: "Montserrat", sans-serif;
	font-optical-sizing: auto;
	font-weight: 400;
	font-style: normal;
	text-transform: uppercase;
	padding: 1.5rem 0rem; 
	background-color: var(--neutral);
	border-bottom: 1px solid;
	border-bottom-color: var(--cuarto);
	color: var(--terciario);
	z-index: 9999;
	-webkit-transition: all 0.3s;
	-moz-transition: all 0.3s;
	transition: all 0.3s;
}
.nav {
	display: flex;
	justify-content: space-between;
	align-items: center;
}
nav:has(.menu-enlaces.activo) {
    backdrop-filter: none;
    -webkit-backdrop-filter: none;
}
.hamburguesa {
	display: flex;
	flex-direction: column;
	gap: 5px;
	cursor: pointer;
	z-index: 10000;
}
.hamburguesa span {
	width: 30px;
	height: 1px;
	background-color: var(--terciario);
	transition: all 0.4s cubic-bezier(0.16, 1, 0.3, 1);
}
.hamburguesa.activo .linea1 {
	transform: translateY(8px) rotate(45deg);
}
.hamburguesa.activo .linea2 {
	opacity: 0;
	transform: translateX(10px);
}
.hamburguesa.activo .linea3 {
	transform: translateY(-8px) rotate(-45deg);
}
.menu-enlaces {
	display: flex;
	flex-direction: column;
    position: absolute;
    top: 100%;
    left: 0;
    width: 100%;
	background-color: rgba(244, 246, 248, 1);
	backdrop-filter: blur(1px);
	-webkit-backdrop-filter: blur(1px);
	padding: 2rem 0rem 2rem 0rem;
	gap: 1.5rem;
	border-bottom: 1px solid;
	border-bottom-color: var(--cuarto);
	opacity: 0;
	visibility: hidden;
	transform: translateY(-20px);
	transition: all 0.5s cubic-bezier(0.16, 1, 0.3, 1);
}
.menu-enlaces.activo {
	opacity: 1;
	visibility: visible;
	transform: translate3d(0, 0, 0);
}
.menu-enlaces li {
	font-size: 1.3rem;
	list-style: none;
	padding: 1rem 3.5rem 1rem 3.5rem;
	letter-spacing: .1rem;
	-webkit-transition: all 0.3s;
	-moz-transition: all 0.3s;
	transition: all 0.3s;
}
.menu-enlaces a {
	color: var(--terciario);
	text-decoration: none;
	-webkit-transition: all 0.3s cubic-bezier(0.16, 1, 0.3, 1);
	transition: all 0.3s cubic-bezier(0.16, 1, 0.3, 1);
}
.menu-enlaces a.actual {
	font-weight: 900;
}
.menu-enlaces a:hover {
	color: var(--terciario);
}
.menu-enlaces a:active {
	color: var(--terciario);
	font-weight: 900;
}
.logo img {
	width: 100%;
	max-width: 150px;
}
@media only screen and (min-width: 768px) {
	/* ==========================================
					NAVEGACIÓN
   ========================================== */
	nav {
		padding: 2rem 0rem 2rem 0rem;
		-webkit-transition: all 0.3s;
		-moz-transition: all 0.3s;
		transition: all 0.3s;
	}
}
@media only screen and (min-width: 1024px) {
	/* ==========================================
					NAVEGACIÓN
	========================================== */
	.hamburguesa {
		display: none;
	}
	.menu-enlaces {
		position: relative;
		top: 0;
		flex-direction: row;
		width: auto;
		padding: 0;
		background: transparent;
		border-bottom: none;
		backdrop-filter: none;
		opacity: 1;
		visibility: visible;
		transform: translateY(0);
	}
	.menu-enlaces li {
		padding: 0rem 1rem;
		-webkit-transition: all 0.3s;
		-moz-transition: all 0.3s;
		transition: all 0.3s;
	}
	.menu-enlaces a:link {
		font-weight: 600;
		position: relative;
		padding-bottom: 5px;
		text-decoration: none;
	}
	.menu-enlaces a:hover {
		font-weight: 900;
		-webkit-transition: all 0.3s;
		-moz-transition: all 0.3s;
		transition: all 0.3s;
	}
	
	.menu-enlaces a::after {
		content: '';
		position: absolute;
		width: 100%;
		height: 1px;
		bottom: 0;
		left: 0;
        background-color: var(--neutral);
		transform: scaleX(0); 
		transform-origin: left; 
		transition: transform 0.4s cubic-bezier(0.16, 1, 0.3, 1);
	}
	.menu-enlaces a:hover::after {
		transform: scaleX(1);
	}
}